// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosBankIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosBankIdentPlugin", targets: ["WebIdIosBankIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "XS2AiOS",
            url: "https://github.com/FinTecSystems/xs2a-ios",
            .exact("1.15.7")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .branch("snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdIosBankIdentPlugin/10.0.1/WebIdIosBankIdentPlugin.framework-v10.0.1-SNAPSHOT-331.zip",
            checksum: "4f43971f03beacc1bebc5302c24f0aaa3821f3bfa313828045d35e851f210ca6"
        ),
        .target(
            name: "WebIdIosBankIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdIosBankIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "XS2AiOS", package: "XS2AiOS"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
